head	1.2;
access;
symbols
	perseant-exfatfs-base-20250801:1.2
	perseant-exfatfs-base-20240630:1.2
	perseant-exfatfs:1.2.0.46
	perseant-exfatfs-base:1.2
	cjep_sun2x:1.2.0.44
	cjep_sun2x-base:1.2
	cjep_staticlib_x-base1:1.2
	cjep_staticlib_x:1.2.0.42
	cjep_staticlib_x-base:1.2
	phil-wifi-20200421:1.2
	phil-wifi-20200411:1.2
	phil-wifi-20200406:1.2
	pgoyette-compat-merge-20190127:1.2
	pgoyette-compat-20190127:1.2
	pgoyette-compat-20190118:1.2
	pgoyette-compat-1226:1.2
	pgoyette-compat-1126:1.2
	pgoyette-compat-1020:1.2
	pgoyette-compat-0930:1.2
	pgoyette-compat-0906:1.2
	pgoyette-compat-0728:1.2
	pgoyette-compat-0625:1.2
	pgoyette-compat-0521:1.2
	pgoyette-compat-0502:1.2
	pgoyette-compat-0422:1.2
	pgoyette-compat-0415:1.2
	pgoyette-compat-0407:1.2
	pgoyette-compat-0330:1.2
	pgoyette-compat-0322:1.2
	pgoyette-compat-0315:1.2
	pgoyette-compat:1.2.0.40
	pgoyette-compat-base:1.2
	perseant-stdc-iso10646:1.2.0.38
	perseant-stdc-iso10646-base:1.2
	prg-localcount2-base3:1.2
	prg-localcount2-base2:1.2
	prg-localcount2-base1:1.2
	prg-localcount2:1.2.0.36
	prg-localcount2-base:1.2
	pgoyette-localcount-20170426:1.2
	bouyer-socketcan-base1:1.2
	pgoyette-localcount-20170320:1.2
	bouyer-socketcan:1.2.0.34
	bouyer-socketcan-base:1.2
	pgoyette-localcount-20170107:1.2
	pgoyette-localcount-20161104:1.2
	localcount-20160914:1.2
	pgoyette-localcount-20160806:1.2
	pgoyette-localcount-20160726:1.2
	pgoyette-localcount:1.2.0.32
	pgoyette-localcount-base:1.2
	netbsd-5-2-3-RELEASE:1.2
	netbsd-5-1-5-RELEASE:1.2
	yamt-pagecache-base9:1.2
	yamt-pagecache-tag8:1.2
	tls-earlyentropy:1.2.0.28
	tls-earlyentropy-base:1.2
	riastradh-xf86-video-intel-2-7-1-pre-2-21-15:1.2
	riastradh-drm2-base3:1.2
	netbsd-5-2-2-RELEASE:1.2
	netbsd-5-1-4-RELEASE:1.2
	netbsd-5-2-1-RELEASE:1.2
	netbsd-5-1-3-RELEASE:1.2
	agc-symver:1.2.0.30
	agc-symver-base:1.2
	tls-maxphys-base:1.2
	yamt-pagecache-base8:1.2
	netbsd-5-2:1.2.0.26
	yamt-pagecache-base7:1.2
	netbsd-5-2-RELEASE:1.2
	netbsd-5-2-RC1:1.2
	yamt-pagecache-base6:1.2
	yamt-pagecache-base5:1.2
	yamt-pagecache-base4:1.2
	netbsd-5-1-2-RELEASE:1.2
	netbsd-5-1-1-RELEASE:1.2
	yamt-pagecache-base3:1.2
	yamt-pagecache-base2:1.2
	yamt-pagecache:1.2.0.24
	yamt-pagecache-base:1.2
	bouyer-quota2-nbase:1.2
	bouyer-quota2:1.2.0.22
	bouyer-quota2-base:1.2
	matt-nb5-pq3:1.2.0.20
	matt-nb5-pq3-base:1.2
	netbsd-5-1:1.2.0.18
	netbsd-5-1-RELEASE:1.2
	netbsd-5-1-RC4:1.2
	netbsd-5-1-RC3:1.2
	netbsd-5-1-RC2:1.2
	netbsd-5-1-RC1:1.2
	netbsd-5-0-2-RELEASE:1.2
	netbsd-5-0-1-RELEASE:1.2
	jym-xensuspend-nbase:1.2
	netbsd-5-0:1.2.0.16
	netbsd-5-0-RELEASE:1.2
	netbsd-5-0-RC4:1.2
	netbsd-5-0-RC3:1.2
	netbsd-5-0-RC2:1.2
	jym-xensuspend:1.2.0.14
	jym-xensuspend-base:1.2
	netbsd-5-0-RC1:1.2
	netbsd-5:1.2.0.12
	netbsd-5-base:1.2
	mjf-devfs2:1.2.0.10
	mjf-devfs2-base:1.2
	yamt-pf42-base4:1.2
	yamt-pf42-base3:1.2
	hpcarm-cleanup-nbase:1.2
	yamt-pf42-base2:1.2
	yamt-pf42:1.2.0.8
	yamt-pf42-base:1.2
	keiichi-mipv6:1.2.0.6
	keiichi-mipv6-base:1.2
	cube-autoconf:1.2.0.4
	cube-autoconf-base:1.2
	hpcarm-cleanup:1.2.0.2
	hpcarm-cleanup-base:1.2
	netbsd-3-1-1-RELEASE:1.1.1.3
	netbsd-3-0-3-RELEASE:1.1.1.3
	netbsd-3-1:1.1.1.3.0.12
	netbsd-3-1-RELEASE:1.1.1.3
	netbsd-3-0-2-RELEASE:1.1.1.3
	netbsd-3-1-RC4:1.1.1.3
	netbsd-3-1-RC3:1.1.1.3
	netbsd-3-1-RC2:1.1.1.3
	netbsd-3-1-RC1:1.1.1.3
	netbsd-3-0-1-RELEASE:1.1.1.3
	netbsd-3-0:1.1.1.3.0.10
	netbsd-3-0-RELEASE:1.1.1.3
	netbsd-3-0-RC6:1.1.1.3
	netbsd-3-0-RC5:1.1.1.3
	netbsd-3-0-RC4:1.1.1.3
	netbsd-3-0-RC3:1.1.1.3
	netbsd-3-0-RC2:1.1.1.3
	netbsd-3-0-RC1:1.1.1.3
	netbsd-2-0-3-RELEASE:1.1.1.3
	netbsd-2-1:1.1.1.3.0.8
	netbsd-2-1-RELEASE:1.1.1.3
	netbsd-2-1-RC6:1.1.1.3
	netbsd-2-1-RC5:1.1.1.3
	netbsd-2-1-RC4:1.1.1.3
	netbsd-2-1-RC3:1.1.1.3
	netbsd-2-1-RC2:1.1.1.3
	netbsd-2-1-RC1:1.1.1.3
	netbsd-2-0-2-RELEASE:1.1.1.3
	netbsd-3:1.1.1.3.0.6
	netbsd-3-base:1.1.1.3
	netbsd-2-0-1-RELEASE:1.1.1.3
	netbsd-2:1.1.1.3.0.4
	netbsd-2-base:1.1.1.3
	netbsd-2-0-RELEASE:1.1.1.3
	netbsd-2-0-RC5:1.1.1.3
	netbsd-2-0-RC4:1.1.1.3
	netbsd-2-0-RC3:1.1.1.3
	netbsd-2-0-RC2:1.1.1.3
	netbsd-2-0-RC1:1.1.1.3
	netbsd-2-0:1.1.1.3.0.2
	netbsd-2-0-base:1.1.1.3
	netbsd-1-6-PATCH002-RELEASE:1.1.1.2
	netbsd-1-6-PATCH002:1.1.1.2
	netbsd-1-6-PATCH002-RC4:1.1.1.2
	netbsd-1-6-PATCH002-RC3:1.1.1.2
	netbsd-1-6-PATCH002-RC2:1.1.1.2
	netbsd-1-6-PATCH002-RC1:1.1.1.2
	netbsd-1-6-PATCH001:1.1.1.2
	netbsd-1-6-PATCH001-RELEASE:1.1.1.2
	netbsd-1-6-PATCH001-RC3:1.1.1.2
	netbsd-1-6-PATCH001-RC2:1.1.1.2
	netbsd-1-6-PATCH001-RC1:1.1.1.2
	fvdl_fs64_base:1.1.1.3
	krb4-1-2:1.1.1.3
	netbsd-1-6-RELEASE:1.1.1.2
	netbsd-1-6-RC3:1.1.1.2
	netbsd-1-6-RC2:1.1.1.2
	netbsd-1-6-RC1:1.1.1.2
	netbsd-1-6:1.1.1.2.0.2
	netbsd-1-6-base:1.1.1.2
	netbsd-1-5-PATCH003:1.1.1.1
	krb4-1-1:1.1.1.2
	netbsd-1-5-PATCH002:1.1.1.1
	netbsd-1-5-PATCH001:1.1.1.1
	krb4-1-0-5:1.1.1.2
	netbsd-1-5-RELEASE:1.1.1.1
	netbsd-1-5-BETA2:1.1.1.1
	netbsd-1-5-BETA:1.1.1.1
	netbsd-1-5-ALPHA2:1.1.1.1
	minoura-xpg4dl:1.1.1.1.0.4
	minoura-xpg4dl-base:1.1.1.1
	netbsd-1-5:1.1.1.1.0.2
	netbsd-1-5-base:1.1.1.1
	v1-0-1-netbsd-cryptosrc-intl:1.1.1.1
	KTH-KRB:1.1.1;
locks; strict;
comment	@# @;


1.2
date	2006.03.20.04.03.10;	author christos;	state dead;
branches;
next	1.1;

1.1
date	2000.06.16.18.45.32;	author thorpej;	state Exp;
branches
	1.1.1.1;
next	;

1.1.1.1
date	2000.06.16.18.45.32;	author thorpej;	state Exp;
branches
	1.1.1.1.4.1;
next	1.1.1.2;

1.1.1.2
date	2000.12.29.01.42.11;	author assar;	state Exp;
branches;
next	1.1.1.3;

1.1.1.3
date	2002.09.12.12.22.02;	author joda;	state Exp;
branches;
next	;

1.1.1.1.4.1
date	2000.06.16.18.45.32;	author thorpej;	state dead;
branches;
next	1.1.1.1.4.2;

1.1.1.1.4.2
date	2000.06.16.18.45.33;	author thorpej;	state Exp;
branches;
next	;


desc
@@


1.2
log
@Goodbye KerberosIV
@
text
@#! /bin/sh
# mkinstalldirs --- make directory hierarchy
# Author: Noah Friedman <friedman@@prep.ai.mit.edu>
# Created: 1993-05-16
# Public domain

# $Id: mkinstalldirs,v 1.1 2000/06/16 18:45:32 thorpej Exp $

errstatus=0

for file
do
   set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
   shift

   pathcomp=
   for d
   do
     pathcomp="$pathcomp$d"
     case "$pathcomp" in
       -* ) pathcomp=./$pathcomp ;;
     esac

     if test ! -d "$pathcomp"; then
        echo "mkdir $pathcomp" 1>&2

        mkdir "$pathcomp" || lasterr=$?

        if test ! -d "$pathcomp"; then
  	  errstatus=$lasterr
        fi
     fi

     pathcomp="$pathcomp/"
   done
done

exit $errstatus

# mkinstalldirs ends here
@


1.1
log
@Initial revision
@
text
@d7 1
a7 1
# $Id: mkinstalldirs,v 1.1.1.1 2000/06/01 21:45:53 assar Exp $
@


1.1.1.1
log
@Import KTH Kerberos 4 from cryptosrc-intl.
@
text
@@


1.1.1.1.4.1
log
@file mkinstalldirs was added on branch minoura-xpg4dl on 2000-06-16 18:45:33 +0000
@
text
@d1 40
@


1.1.1.1.4.2
log
@Import KTH Kerberos 4 from cryptosrc-intl.
@
text
@a0 40
#! /bin/sh
# mkinstalldirs --- make directory hierarchy
# Author: Noah Friedman <friedman@@prep.ai.mit.edu>
# Created: 1993-05-16
# Public domain

# $Id: mkinstalldirs,v 1.1.1.1 2000/06/16 18:45:32 thorpej Exp $

errstatus=0

for file
do
   set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
   shift

   pathcomp=
   for d
   do
     pathcomp="$pathcomp$d"
     case "$pathcomp" in
       -* ) pathcomp=./$pathcomp ;;
     esac

     if test ! -d "$pathcomp"; then
        echo "mkdir $pathcomp" 1>&2

        mkdir "$pathcomp" || lasterr=$?

        if test ! -d "$pathcomp"; then
  	  errstatus=$lasterr
        fi
     fi

     pathcomp="$pathcomp/"
   done
done

exit $errstatus

# mkinstalldirs ends here
@


1.1.1.2
log
@import krb4-1.0.5
@
text
@d7 1
a7 1
# $Id: mkinstalldirs,v 1.1 1996/06/27 01:12:51 joda Exp $
@


1.1.1.3
log
@import krb4 1.2
@
text
@d7 1
a7 2
# $KTH-KRB: mkinstalldirs,v 1.13 1999/01/05 03:18:55 bje Exp $
# $NetBSD$
a9 46
dirmode=""

usage="\
Usage: mkinstalldirs [-h] [--help] [-m mode] dir ..."

# process command line arguments
while test $# -gt 0 ; do
   case "${1}" in
     -h | --help | --h* )			# -h for help
	echo "${usage}" 1>&2; exit 0 ;;
     -m )					# -m PERM arg
	shift
	test $# -eq 0 && { echo "${usage}" 1>&2; exit 1; }
	dirmode="${1}"
	shift ;;
     -- ) shift; break ;;			# stop option processing
     -* ) echo "${usage}" 1>&2; exit 1 ;;	# unknown option
     * )  break ;;				# first non-opt arg
   esac
done

for file
do
  if test -d "$file"; then
    shift
  else
    break
  fi
done

case $# in
0) exit 0 ;;
esac

case $dirmode in
'')
  if mkdir -p -- . 2>/dev/null; then
    echo "mkdir -p -- $*"
    exec mkdir -p -- "$@@"
  fi ;;
*)
  if mkdir -m "$dirmode" -p -- . 2>/dev/null; then
    echo "mkdir -m $dirmode -p -- $*"
    exec mkdir -m "$dirmode" -p -- "$@@"
  fi ;;
esac
d25 1
a25 1
	echo "mkdir $pathcomp"
d27 1
a27 1
	mkdir "$pathcomp" || lasterr=$?
d29 3
a31 14
	if test ! -d "$pathcomp"; then
	  errstatus=$lasterr
	else
	  if test ! -z "$dirmode"; then
	     echo "chmod $dirmode $pathcomp"

	     lasterr=""
	     chmod "$dirmode" "$pathcomp" || lasterr=$?

	     if test ! -z "$lasterr"; then
	       errstatus=$lasterr
	     fi
	  fi
	fi
a39 4
# Local Variables:
# mode: shell-script
# sh-indentation: 3
# End:
@


